summaryrefslogtreecommitdiffstats
path: root/t/t9401-git-cvsserver-crlf.sh
diff options
context:
space:
mode:
authorJeff King <peff@peff.net>2009-04-03 15:33:59 -0400
committerJunio C Hamano <gitster@pobox.com>2009-04-08 22:42:16 -0700
commit1b19ccd236e3369ac77d74ded207406ffbf9feca (patch)
tree3893ed847c3f7f6c74c7fa7d424d9707f9b64938 /t/t9401-git-cvsserver-crlf.sh
parent499c29394ce1ead3ebd29b0d3c8014cdb7a32e63 (diff)
downloadgit-1b19ccd236e3369ac77d74ded207406ffbf9feca.tar.gz
git-1b19ccd236e3369ac77d74ded207406ffbf9feca.tar.xz
tests: skip perl tests if NO_PERL is defined
These scripts all test git programs that are written in perl, and thus obviously won't work if NO_PERL is defined. We pass NO_PERL to the scripts from the building Makefile via the GIT-BUILD-OPTIONS file. Signed-off-by: Jeff King <peff@peff.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t9401-git-cvsserver-crlf.sh')
-rwxr-xr-xt/t9401-git-cvsserver-crlf.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/t/t9401-git-cvsserver-crlf.sh b/t/t9401-git-cvsserver-crlf.sh
index 12e0e5082..aca40c1b1 100755
--- a/t/t9401-git-cvsserver-crlf.sh
+++ b/t/t9401-git-cvsserver-crlf.sh
@@ -52,6 +52,11 @@ then
say 'skipping git-cvsserver tests, cvs not found'
test_done
fi
+if ! test_have_prereq PERL
+then
+ say 'skipping git-cvsserver tests, perl not available'
+ test_done
+fi
perl -e 'use DBI; use DBD::SQLite' >/dev/null 2>&1 || {
say 'skipping git-cvsserver tests, Perl SQLite interface unavailable'
test_done